Bug 44190 - Неверно указан путь для сокета в файле zm-fcgi.inc из пакета zoneminder-nginx
Summary: Неверно указан путь для сокета в файле zm-fcgi.inc из пакета zoneminder-nginx
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: zoneminder-nginx (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Anton Farygin
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-01 18:04 MSK by Osmolovskaya Anastasia
Modified: 2022-11-12 15:36 MSK (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Osmolovskaya Anastasia 2022-11-01 18:04:18 MSK
Проверялось на sisyphus и в p10

Версия пакета: zoneminder-nginx-1.36.29-alt1

Шаги для воспроизведения: 
1. Установить пакет zoneminder zoneminder-nginx 
2. Проверить содержимое файла /etc/nginx/sites-enabled.d/zm-fcgi.inc

Ожидаемый результат: 
В fastcgi_pass будет указан корректный путь до сокета php7-fpm (/var/run/php7-fpm/php7-fpm.sock) 

Реальный результат: 
В fastcgi_pas указан путь /var/run/php7-fpm/php7-zoneminder.sock - такого сокета не существует 

Дополнительно: нужно ли создавать php7-zoneminder.sock вручную или всё-таки использовать существующий php7-fpm.sock?
Comment 1 Anton Farygin 2022-11-01 18:05:57 MSK
Конечно действующий. Спасибо, это надо чинить.
Comment 2 Repository Robot 2022-11-12 15:36:04 MSK
zoneminder-1.36.31-alt2 -> sisyphus:

 Sat Nov 12 2022 Anton Farygin <rider@altlinux.ru> 1.36.31-alt2
 - migrated to php8.1 by default
 - fixed socket path in zm-fcgi.inc (closes: #44190)
 - updated initial sql agains MySQL-8
 - added php8.1-intl to requires